<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
	<extension point="org.eclipse.papyrus.designer.transformation.extensions.m2mTrafo">
		<transformation
			transformationID="trafos::m2mtransformations::BootLoaderGen::Java"
			class="org.eclipse.papyrus.designer.transformation.languages.java.library.BootLoaderGenJava">
		</transformation>
	</extension>
	<extension point="org.eclipse.papyrus.designer.transformation.extensions.m2mTrafo">
		<transformation
			transformationID="trafos::m2mtransformations::CompleteStatemachine::Java"
			class="org.eclipse.papyrus.designer.transformation.languages.java.library.statemachine.CompleteStatemachine">
		</transformation>
	</extension>
	<extension point="org.eclipse.emf.ecore.uri_mapping">
		<mapping
			source="pathmap://DML_TRAFOS_JAVA/"
			target="platform:/plugin/org.eclipse.papyrus.designer.transformation.languages.java.library/models/library/"/>
	</extension>

	<extension point="org.eclipse.emf.common.ui.examples">
		<example
			id="org.eclipse.papyrus.designer.examples.DesignerExamplesWithM2Mtrafo.java"
			pageImage="platform:/plugin/org.eclipse.papyrus.designer.infra.ui/icons/PapyrusLogo_48x48.png"
			wizardID="org.eclipse.papyrus.designer.examples.category.DesignerExamplesWithM2Mtrafo.installer">
			<projectDescriptor
				contentURI="models/examples/HelloWorldJava/"
				name="HelloWorldJava"
				description="Papyrus Designer Java hello world example with a deployment plan.">
			</projectDescriptor>
			<fileToOpen
				location="HelloWorldJava/HelloWorldJava.di">
			</fileToOpen>
		</example>
		<example
			id="org.eclipse.papyrus.designer.examples.DesignerExamplesWithM2Mtrafo.java"
			pageImage="platform:/plugin/org.eclipse.papyrus.designer.infra.ui/icons/PapyrusLogo_48x48.png"
			wizardID="org.eclipse.papyrus.designer.examples.category.DesignerExamplesWithM2Mtrafo.installer">
			<projectDescriptor
				contentURI="models/examples/SimpleSMJava/"
				name="SimpleSMJava"
				description="Papyrus Designer Java simple state-machine based based on M2M transformation.">
			</projectDescriptor>
			<fileToOpen
				location="SimpleSMJava/SimpleSMJava.di">
			</fileToOpen>
		</example>
   </extension>
	
</plugin>
